import { isMobileDevice } from 'config/userAgent'

const degree = isMobileDevice ? '270deg' : '0deg'

export const getCardColor = (id: number | undefined): string => {
  const defaultColor = 'none'

  if (!id) return defaultColor

  switch (id) {
    case 928:
      return `linear-gradient(${degree}, rgba(63,63,63,1) 35%, rgba(49,186,177,1) 100%);`
    case 1620:
      return `linear-gradient(${degree}, rgba(63,63,63,1) 35%, rgba(96,24,75,1) 100%);`
    case 5976:
      return `linear-gradient(${degree}, rgba(63,63,63,1) 35%, rgba(0,160,228,1) 100%);`
    case 5975:
      return `linear-gradient(${degree}, rgba(63,63,63,1) 35%, rgba(225,27,74,1) 100%);`
    case 5858:
      return `linear-gradient(${degree}, rgba(63,63,63,1) 35%, rgba(252,162,78, 1) 100%);`
    case 262:
      return `linear-gradient(${degree}, rgba(63,63,63,1) 35%, rgba(192,166,96,1) 100%);`
    case 6004:
      return `linear-gradient(${degree}, rgba(63,63,63,1) 35%, rgba(79,81,205,1) 100%);`
    default:
      return defaultColor
  }
}
